Bug 97624 - ntp startup script adds superfluous lines to firewall rules
Summary: ntp startup script adds superfluous lines to firewall rules
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ntp (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-18 15:15 UTC by Kaj J. Niemi
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version: ntp-4.1.2-1.rc3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 10:18:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which seems to fix the problem exhibited by old init script (990 bytes, patch)
2003-06-18 15:28 UTC, Kaj J. Niemi
no flags Details | Diff

Description Kaj J. Niemi 2003-06-18 15:15:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030613

Description of problem:

Suppose /etc/ntp/step-tickers contains a list of servers identical to those in
/etc/ntp.conf results in the startup script adding all of them to the firewall
rules should the firewall be enabled.



Version-Release number of selected component (if applicable):
ntp-4.1.2-1.rc3.1

How reproducible:
Always

Steps to Reproduce:
1. put same set of ntp servers addresses in /etc/ntp.conf and /etc/ntp/step-tickers
2. service ntpd restart
3. watch and see
    

Actual Results:  Everything added twice

Expected Results:  Each server should only be added once

Additional info:

Doesn't have a functionality impact just adds firewall lines and is cosmetic at
startup.

I believe sort | uniq might work...?

Comment 1 Kaj J. Niemi 2003-06-18 15:28:09 UTC
Created attachment 92461 [details]
Patch which seems to fix the problem exhibited by old init script

This seems to fix it on my laptop at least... ;-)

Comment 2 Harald Hoyer 2003-06-27 10:07:35 UTC
thx...
"sort -u" should do the same as sort | uniq


Note You need to log in before you can comment on or make changes to this bug.